# setVoiceChangerType method Null safety

Future<void> setVoiceChangerType(

1. int type

)

Set the voice changing effect (young girl, middle-aged man, heavy metal, punk, and other effects)

Parameters:

Default value: TXVoiceChangerType.TXLiveVoiceChangerType_0. For more information, please see the definition of the `TXVoiceChangerType` parameter in `trtc_cloud.def`

## Implementation

    Future<void> setVoiceChangerType(int type) {
      return _channel.invokeMethod('setVoiceChangerType', {"type": type});
    }